Summary:	xsetroot application - root window parameter setting utility for X
Summary(pl.UTF-8):	Aplikacja xsetroot - narzędzie do zmiany parametrów głównego okna X
Name:		xorg-app-xsetroot
Version:	1.1.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xsetroot-%{version}.tar.xz
# Source0-md5:	fa9a24fe5b1725c52a4566a62dd0a50d
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-data-xbitmaps
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXcursor-devel
# just xmuu
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.25
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xsetroot program allows you to tailor the appearance of the
background ("root") window on a workstation display running X.
Normally, you experiment with xsetroot until you find a personalized
look that you like, then put the xsetroot command that produces it
into your X startup file.

%description -l pl.UTF-8
Program xsetroot pozwala dostroić wygląd tła (głównego okna) ekranu z
działającym X. Zwykle eksperymentuje się z xsetroot do osiągnięcia
lubianego, spersonalizowanego wyglądu, a następnie umieszcza tworzące
go polecenie xsetroot w pliku startowym X.

%prep
%setup -q -n xsetroot-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xsetroot
%{_mandir}/man1/xsetroot.1*
%changelog
* Fri Nov 04 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xsetroot.git;a=log;h=master

* Thu Nov 03 2022 Jakub Bogusz <qboosh@pld-linux.org> 05a7a48
- updated to 1.1.3

* Fri Mar 16 2018 Jakub Bogusz <qboosh@pld-linux.org> f0ae80a
- updated to 1.1.2

* Sat Apr 04 2015 Jan Rękorajski <baggins@pld-linux.org> 73e36d4
- x32 rebuild
- release 3 (by relup.sh)

* Mon Mar 30 2015 Witold Filipczyk <witekfl@poczta.onet.pl> 037dd87
- fixed manpage suffix

* Thu Jan 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 65a513d
- updated to 1.1.1

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> a6bf6d6
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 9b4d97b
- updated to 1.1.0

* Tue Oct 20 2009 Jakub Bogusz <qboosh@pld-linux.org> efea7f0
- updated to 1.0.3

* Sat Aug 11 2007 Jakub Bogusz <qboosh@pld-linux.org> 6e038bc
- real descs from man
- updated util-macros BR

* Fri Aug 10 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 8e5b8f5
- up to 1.0.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d22a160
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> aa5f1b2
- converted to UTF-8

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> c07b341
- use individual dir, release 1

* Fri Jan 13 2006 Jakub Bogusz <qboosh@pld-linux.org> 0032feb
- 1.0.1 (X11R7.0 release)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 0a935f4
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 877862c
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 826cc0a
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> e7f3c0d
- standard permisions to binaries

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 40d08ac
- cleanups, kill /usr/X11R6

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 578307b
- s/pkg-config/pkgconfig/ in BR:

